org.apache.sling.testing.email.impl

## Class EMailServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.sling.testing.email.impl.EMailServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class EMailServlet
    extends javax.servlet.http.HttpServlet

Exposes emails stored by the `SmtpServerWrapper` through an HTTP API

The entry points for the servlet are:

1. `GET /system/sling/testing/email/config`, which returns a JSON object containing the configuration properties of the `SmtpServerWrapper`
2. `GET /system/sling/testing/email/messages`, which returns the messages currently held by the `SmtpServerWrapper`
3. `DELETE /system/sling/testing/email`, which removes all messages.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EMailServlet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doDelete(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`protected void` `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EMailServlet

    public EMailServlet()

### Method Detail

#### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest req,
                         javax.servlet.http.HttpServletResponse resp)
                  throws javax.servlet.ServletException,
                         IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### doDelete

    protected void doDelete(javax.servlet.http.HttpServletRequest req,
                            javax.servlet.http.HttpServletResponse resp)
                     throws javax.servlet.ServletException,
                            IOException

Overrides:
  `doDelete` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`